org.hibernate.search.cfg.impl

## Class HibernateCoreIdUniquenessResolver

- java.lang.Object
- - org.hibernate.search.cfg.impl.HibernateCoreIdUniquenessResolver

- All Implemented Interfaces:
    IdUniquenessResolver, Service

      public class HibernateCoreIdUniquenessResolver
      extends Object
      implements IdUniquenessResolver

  Implementation extracting entity classes from the configuration and release the configuration reference for future Garbage Collection.
  Author:
    Emmanuel Bernard <emmanuel@hibernate.org>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `HibernateCoreIdUniquenessResolver(Metadata metadata)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areIdsUniqueForClasses(IndexedTypeIdentifier entityInIndex, IndexedTypeIdentifier otherEntityInIndex)` Returns `true` if the same identifier value cannot be shared between two class instances of `entityInIndex` and `otherEntityInIndex`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### HibernateCoreIdUniquenessResolver

          public HibernateCoreIdUniquenessResolver(Metadata metadata)

  - ### Method Detail

    - #### areIdsUniqueForClasses

          public boolean areIdsUniqueForClasses(IndexedTypeIdentifier entityInIndex,
                                                IndexedTypeIdentifier otherEntityInIndex)

      Description copied from interface: `IdUniquenessResolver`
      Returns `true` if the same identifier value cannot be shared between two class instances of `entityInIndex` and `otherEntityInIndex`.
      Specified by:
        `areIdsUniqueForClasses` in interface `IdUniquenessResolver`
      Parameters:
        `entityInIndex` - one entity type
        `otherEntityInIndex` - the other entity type
      Returns:
        `true` if the same identifier value cannot be share between two class instances of `entityInIndex` and `otherEntityInIndex`

Copyright © 2006-2017 Red Hat, Inc. All Rights Reserved